GDB (xrefs)

Public Attributes | List of all members
rx_prologue Struct Reference

## Public Attributes
enum rx_frame_type | frame_type
int | frame_size
int | has_frame_ptr
int | frame_ptr_offset
CORE_ADDR | prologue_end
int | reg_offset [RX_NUM_REGS]

## Detailed Description

Definition at line 80 of file rx-tdep.c.

## Member Data Documentation

## ◆ frame_ptr_offset

int rx_prologue::frame_ptr_offset

Definition at line 104 of file rx-tdep.c.

Referenced by rx_analyze_prologue(), and rx_frame_base().

## ◆ frame_size

int rx_prologue::frame_size

Definition at line 95 of file rx-tdep.c.

Referenced by rx_analyze_prologue(), and rx_frame_base().

## ◆ frame_type

enum rx_frame_type rx_prologue::frame_type

Definition at line 84 of file rx-tdep.c.

Referenced by rx_analyze_prologue(), rx_frame_sniffer_common(), and rx_frame_type().

## ◆ has_frame_ptr

int rx_prologue::has_frame_ptr

Definition at line 99 of file rx-tdep.c.

Referenced by rx_analyze_prologue(), and rx_frame_base().

## ◆ prologue_end

CORE_ADDR rx_prologue::prologue_end

Definition at line 109 of file rx-tdep.c.

Referenced by rx_skip_prologue().

## ◆ reg_offset

int rx_prologue::reg_offset[RX_NUM_REGS]

Definition at line 114 of file rx-tdep.c.

Referenced by check_for_saved(), rx_analyze_prologue(), and rx_frame_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/rx-tdep.c